import request from "@/utils/request";
//数据大屏接口
//报故缺陷分布
export function getFaultBug(data: string) {
  return request({
    url: "/api/v1/process/census/fault/bug",
    method: "post",
    data,
  });
}
//报故统计
export function getFaultCount(data: string) {
  return request({
    url: "/api/v1/process/census/fault/count",
    method: "post",
    data,
  });
}
//报故处理跟踪
export function getFaultTrack(data: string) {
  return request({
    url: "/api/v1/process/census/fault/track",
    method: "post",
    data,
  });
}
//不合格品统计
export function getCensusNonconforming(data: string) {
  return request({
    url: "/api/v1/process/census/nonconforming",
    method: "post",
    data,
  });
}
//产品合格率
export function getQualifiedRate(data: string) {
  return request({
    url: "/api/v1/process/census/qualified/rate",
    method: "post",
    data,
  });
}
//工位任务分布
export function getStationTaskInfo() {
  return request({
    url: "/api/v1/process/census/stationTaskInfo",
    method: "post",
  });
}
//下线情况
export function getOffLineInfo() {
  return request({
    url: "/api/v1/process/census/productLineOffLineInfo",
    method: "post",
  });
}
// 线边库库存统计数据
export function getLineSideStock() {
  return request({
    url: "/api/v1/process/census/stock/info",
    method: "post",
  });
}

export function getStationState() {
  return request({
    url: "/api/v1/process/census/station/state",
    method: "post",
  });
}

//今日工排产
export function getMaterialRate() {
  return request({
    url: "/api/v1/process/census/taskMaterial/rate",
    method: "post",
  });
}
//今日任务完成率
export function getTaskCount() {
  return request({
    url: "/api/v1/process/census/task/count",
    method: "post",
  });
}
//工位任务完成率
export function getTaskRate() {
  return request({
    url: "/api/v1/process/census/taskStation/rate",
    method: "post",
  });
}
//获取设备列表
export function getDeviceList() {
  return request({
    url: "/api/v1/process/census/device/list",
    method: "post",
  });
}
//今日报故
export function getTodayError() {
  return request({
    url: "/api/v1/process/census/today/fault",
    method: "post",
  });
}
